diff -ruN doxygen-1.5.4.old/src/entry.h doxygen-1.5.4/src/entry.h
--- doxygen-1.5.4.old/src/entry.h	2007-10-22 20:58:22.000000000 +0200
+++ doxygen-1.5.4/src/entry.h	2007-11-06 09:06:40.834710000 +0100
@@ -241,7 +241,7 @@
       PACKAGE_SEC      = 0x15000000,
       PACKAGEDOC_SEC   = 0x16000000,
       OBJCIMPL_SEC     = 0x17000000,
-      DIRDOC_SEC       = 0x18000000,
+      DIRDOC_SEC       = 0x18000000
     };
     enum MemberSpecifier
     {
diff -ruN doxygen-1.5.4.old/src/index.h doxygen-1.5.4/src/index.h
--- doxygen-1.5.4.old/src/index.h	2007-10-20 19:30:08.000000000 +0200
+++ doxygen-1.5.4/src/index.h	2007-11-06 09:06:34.741507000 +0100
@@ -43,23 +43,26 @@
 
 class IndexList : public IndexIntf
 {
+
+  private:
+    QList<IndexIntf> m_intfs;
     void foreach(void (IndexIntf::*methodPtr)())
     {
       QListIterator<IndexIntf> li(m_intfs);
       for (li.toFirst();li.current();++li) (li.current()->*methodPtr)();
-    };
+    }
     template<typename A1>
     void foreach(void (IndexIntf::*methodPtr)(A1),A1 a1)
     {
       QListIterator<IndexIntf> li(m_intfs);
       for (li.toFirst();li.current();++li) (li.current()->*methodPtr)(a1);
-    };
+    }
     template<typename A1,typename A2,typename A3,typename A4,typename A5>
     void foreach(void (IndexIntf::*methodPtr)(A1,A2,A3,A4,A5),A1 a1,A2 a2,A3 a3,A4 a4,A5 a5)
     {
       QListIterator<IndexIntf> li(m_intfs);
       for (li.toFirst();li.current();++li) (li.current()->*methodPtr)(a1,a2,a3,a4,a5);
-    };
+    }
 
   public:
     IndexList() { m_intfs.setAutoDelete(TRUE); }
@@ -83,9 +86,6 @@
              (&IndexIntf::addIndexItem,level1,level2,contRef,memRef,anchor); }
     void addIndexFile(const char *name) 
     { foreach<const char *>(&IndexIntf::addIndexFile,name); }
-
-  private:
-    QList<IndexIntf> m_intfs;
 };
 
 
diff -ruN doxygen-1.5.4.old/src/util.h doxygen-1.5.4/src/util.h
--- doxygen-1.5.4.old/src/util.h	2007-08-11 21:45:51.000000000 +0200
+++ doxygen-1.5.4/src/util.h	2007-11-06 09:06:38.285663000 +0100
@@ -92,7 +92,7 @@
   SrcLangExt_PHP    = 0x080,
   SrcLangExt_ObjC   = 0x100,
   SrcLangExt_Cpp    = 0x200,
-  SrcLangExt_JS     = 0x400,
+  SrcLangExt_JS     = 0x400
 };
 
 //--------------------------------------------------------------------
